The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Apache Update & /scripts/easyapache with GD not working

Discussion in 'EasyApache' started by chmod, Aug 22, 2006.

  1. chmod

    chmod Well-Known Member

    Joined:
    Apr 20, 2004
    Messages:
    45
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    London - UK
    Hi, I am trying to enable GD support in php, first off I used the Apache Update method in WHM and checked the GD (Version 2.0.15) but although php upgraded from 4.4.2 to 4.4.4 no GD is enabled or showing in phpinfo() or using php -m.

    So then I tried running /scripts/easyapache and expected to be shown some options to choose from but didn`t get any and the script ran straight through just the same as when I did it from WHM.

    I thought GD support was defaulted in new php versions and it just needed to be enabled when installing, but I just can`t seem to get to enable it.

    Any ideas much appreciated.

    Cheers

    chmod
     
  2. carluk

    carluk Well-Known Member

    Joined:
    Sep 2, 2003
    Messages:
    162
    Likes Received:
    0
    Trophy Points:
    16
    What options are you trying to use for php? Try disabling both discard path and versioning.
     
  3. chmod

    chmod Well-Known Member

    Joined:
    Apr 20, 2004
    Messages:
    45
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    London - UK
    In WHM Apache Update it seems to be ignoring the options I put in or out, I unchecked discard path but it still uses --enable-discard-path when configuring the php build and still no GD. hmmm..

    Could there be some default config that its using instead of my options?

    cheers

    chmod
     
  4. carluk

    carluk Well-Known Member

    Joined:
    Sep 2, 2003
    Messages:
    162
    Likes Received:
    0
    Trophy Points:
    16
    Try using /scripts/easyapache and option #7 and check through the listed modules and also make sure "if apache is up to date do not compile" etc which will save time.
     
  5. chmod

    chmod Well-Known Member

    Joined:
    Apr 20, 2004
    Messages:
    45
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    London - UK
    Hi, I tried using /scripts/easyapache but it runs through the programme just like the WHM Update Apache does and there is no option to select options.

    Cheers

    chmod
     
  6. carluk

    carluk Well-Known Member

    Joined:
    Sep 2, 2003
    Messages:
    162
    Likes Received:
    0
    Trophy Points:
    16
    You do not get a message prompting you to pick an option?

    What does the following return:
    Code:
    /usr/local/cpanel/cpanel -V
    
    Also it's worth doing the following:
    Code:
    /usr/local/cpanel/bin/checkperlmodules
    
     
  7. chmod

    chmod Well-Known Member

    Joined:
    Apr 20, 2004
    Messages:
    45
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    London - UK
    Yep thats right no prompts..

    10.8.1-STABLE_31
     
  8. carluk

    carluk Well-Known Member

    Joined:
    Sep 2, 2003
    Messages:
    162
    Likes Received:
    0
    Trophy Points:
    16
    okay do the following to update cpanel and then try again.

    Code:
    /scripts/upcp
    
     
  9. chmod

    chmod Well-Known Member

    Joined:
    Apr 20, 2004
    Messages:
    45
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    London - UK
    :D :D :D Nice one CarlUK that did the trick, after CPanel upgraded the Update Apache in the new WHM delivered the correct settings and GD is now installed and working.

    Thanks for your effort and time I really do appreciate it, I`ll remember to update CPanel in future.

    Cheers

    chmod
     
  10. botakedan

    botakedan Member

    Joined:
    Sep 23, 2004
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    and... what happend with my server
    i had update the cPanel
    but i still cant install GD
     
  11. carluk

    carluk Well-Known Member

    Joined:
    Sep 2, 2003
    Messages:
    162
    Likes Received:
    0
    Trophy Points:
    16
    What is the error you got?
    What's your cpanel version?
    Which version of php are you trying to install?
    Any special php modules other than GD?
     
Loading...

Share This Page